function(foofunc srcfile includer)
  get_filename_component(fname ${srcfile} NAME_WE)
  get_filename_component(fdir ${srcfile} PATH)

  set(outfile "${fdir}/${fname}.h")

  add_custom_command (
    OUTPUT "${outfile}"
    COMMAND cp ${srcfile} ${outfile}
    DEPENDS "${srcfile}"
  )

  set_source_files_properties(${includer} PROPERTIES OBJECT_DEPENDS "blubb/${outfile}")

endfunction(foofunc)
